Restore Config Field
curl --request POST \
--url https://api.duvo.ai/v2/automations/{automation_id}/config-fields/{field_id}/restore \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.duvo.ai/v2/automations/{automation_id}/config-fields/{field_id}/restore"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.duvo.ai/v2/automations/{automation_id}/config-fields/{field_id}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"field": {
"id": "<string>",
"key": "<string>",
"section": "<string>",
"position": 123,
"label": "<string>",
"question": "<string>",
"type": "freeText",
"type_config": {},
"bindings": [
"context"
],
"required": true,
"locked": true,
"fill_mode": "interview",
"value": "<string>",
"default_value": "<string>",
"status": "default",
"provenance": {
"filled_via": "<string>",
"filled_by_user_id": "<string>",
"filled_by_name": "<string>",
"filled_at": "<string>",
"filled_by_email": null,
"source_capture_id": "<string>",
"source_file_name": null
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Automations
Restore Config Field
Show a hidden Policy question again, with the answer it had.
POST
/
v2
/
automations
/
{automation_id}
/
config-fields
/
{field_id}
/
restore
Restore Config Field
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
The automation's unique identifier
The config field's unique identifier
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?